ch.qos.logback.core.db.dialect

## Enum SQLDialectCode

- java.lang.Object
- - java.lang.Enum<SQLDialectCode>
  - - ch.qos.logback.core.db.dialect.SQLDialectCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SQLDialectCode>

    public enum SQLDialectCode
    extends java.lang.Enum<SQLDialectCode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`H2_DIALECT`
`HSQL_DIALECT`
`MSSQL_DIALECT`
`MYSQL_DIALECT`
`ORACLE_DIALECT`
`POSTGRES_DIALECT`
`SQLITE_DIALECT`
`SYBASE_SQLANYWHERE_DIALECT`
`UNKNOWN_DIALECT`

### Method Summary

Methods
`static SQLDialectCode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SQLDialectCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN_DIALECT

    public static final SQLDialectCode UNKNOWN_DIALECT

#### POSTGRES_DIALECT

    public static final SQLDialectCode POSTGRES_DIALECT

#### MYSQL_DIALECT

    public static final SQLDialectCode MYSQL_DIALECT

#### ORACLE_DIALECT

    public static final SQLDialectCode ORACLE_DIALECT

#### MSSQL_DIALECT

    public static final SQLDialectCode MSSQL_DIALECT

#### HSQL_DIALECT

    public static final SQLDialectCode HSQL_DIALECT

#### H2_DIALECT

    public static final SQLDialectCode H2_DIALECT

#### SYBASE_SQLANYWHERE_DIALECT

    public static final SQLDialectCode SYBASE_SQLANYWHERE_DIALECT

#### SQLITE_DIALECT

    public static final SQLDialectCode SQLITE_DIALECT

### Method Detail

#### values

    public static SQLDialectCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SQLDialectCode c : SQLDialectCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SQLDialectCode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null